import axios from 'axios';

async function main() {
    console.time("batches")
    for (let i = 0; i < 100; i++) {
        const batch = [];
        for (let i = 0; i < 6; i++) {
            batch.push(axios.post('http://localhost:4010/api/scans/trackscans', { card: 200000000001, station: 2 }, {
                headers: {
                    Authorization: 'Bearer 10F2E64.BB4F6CC5-2148-4CCF-88B5-0AA85D0508A9'
                }
            }))
        }
        await Promise.all(batch)
        console.timeLog("batches", `Finished batch ${i}`)
    }
    console.timeEnd("batches")
}
main();